# Created by pyp2rpm-3.3.1
%global pypi_name py-colour

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 11
Summary:        Colour manipulation class
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/tremby/py-colour
Source0:        https://pypi.io/packages/source/p/py-colour/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A colour manipulation class.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Conflicts:	python3-colour

%description -n python3-%{pypi_name}
A colour manipulation class.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files colour

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Sat Mar 01 2025 wally <wally> 1.1.0-11.mga10
+ Revision: 2155564
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 1.1.0-10.mga10
+ Revision: 2017950
- rebuild for python3.12
- adapt to pyproject

* Thu Mar 24 2022 umeabot <umeabot> 1.1.0-9.mga9
+ Revision: 1825009
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.1.0-8.mga9
+ Revision: 1783284
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.1.0-7.mga9
+ Revision: 1732651
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1535303
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.1.0-5.mga8
+ Revision: 1451723
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jul 07 2019 wally <wally> 1.1.0-4.mga8
+ Revision: 1419359
- make python3 pkg to conflict with python3-colour
- tidy descriptions

* Mon Jan 07 2019 kekepower <kekepower> 1.1.0-3.mga7
+ Revision: 1351263
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1289756
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1220611
- BR six
- imported package python-py-colour

